# scaleBy

return type | Array ( GeoJSON bounding box )
syntax | $.geo.scaleBy( Array bbox ( GeoJSON bounding box ), Number scale )

usage

    var twiceAsBig = $.geo.scaleBy( bbox, 2 )

The scaleBy method creates a new bbox with the same center as the original but having a width and height that are both multiplied by the scale argument.

The scale argument is a percentage increase or decrease. This means that supplying 2 will increase the size of the bbox by 200%, which if thinking in terms of a map's view, would zoom out. Supplying .5 will decrease the size of the bbox to half its original size.

The scale argument must be greater than zero.

This function is not defined in JTS.